import java.time.LocalDateTime;

public class TiqueteParqueo {

    //orginalmente dos constantes, CODEX sugirió usar enum
    public enum TipoServicio {
        POR_HORA,
        POR_DIA
    }

    private Vehiculo vehiculo;
    private LocalDateTime horaEntrada;
    private LocalDateTime horaSalida;
    private TipoServicio modalidad;
    private int montoTotal;

    public TiqueteParqueo(Vehiculo vehiculo, LocalDateTime horaEntrada, TipoServicio modalidad) {
        this.vehiculo = vehiculo;
        this.horaEntrada = horaEntrada;
        this.modalidad = modalidad;
        this.horaSalida = null;
        this.montoTotal = 0;
    }

    public Vehiculo getVehiculo() {
        return vehiculo;
    }

    public void setVehiculo(Vehiculo vehiculo) {
        this.vehiculo = vehiculo;
    }

    public LocalDateTime getHoraEntrada() {
        return horaEntrada;
    }

    public void setHoraEntrada(LocalDateTime horaEntrada) {
        this.horaEntrada = horaEntrada;
    }

    public LocalDateTime getHoraSalida() {
        return horaSalida;
    }

    public void setHoraSalida(LocalDateTime horaSalida) {
        this.horaSalida = horaSalida;
    }

    public TipoServicio getModalidad() {
        return modalidad;
    }

    public void setModalidad(TipoServicio modalidad) {
        this.modalidad = modalidad;
    }

    public int getMontoTotal() {
        return montoTotal;
    }

    public void setMontoTotal(int montoTotal) {
        this.montoTotal = montoTotal;
    }
}
